Download it now!
Bug 129503 - mail merge broken; fields are not populated with database records at all
Summary: mail merge broken; fields are not populated with database records at all
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2019-12-19 17:48 UTC by Val Kulkov
Modified: 2020-04-07 06:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of step 4 (salutation is not selected) (55.08 KB, image/png)
2020-04-07 05:00 UTC, Val Kulkov
Details
Screenshot mail merge toolbar (89.59 KB, image/png)
2020-04-07 05:27 UTC, Michael Weghorn
Details
mail merge toolbar (28.67 KB, image/png)
2020-04-07 05:32 UTC, Val Kulkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Val Kulkov 2019-12-19 17:48:49 UTC
Description:
Invoking the "Mail Merge Wizard" does not populate fields in a document anymore. On clicking "Finish" button at step 4 nothing happens.

Viewing data sources (Ctrl-Shift-F4) works normally. I can review my data sources, browse database records, view the actual data in database records and use drag-and-drop to insert database fields into the current Write document.

I tried disconnecting a data source and re-creating a new data source from scratch. I tried two different data sources, one from an existing LibreOffice Base document with queries linked to an external PostgreSQL database, and one from a newly created LibreOffice Calc ODS spreadsheet. The result was the same: at the stage where fields in a Writer document must be populated with records from a data source, nothing happens.

I tried using the mail merge function in 6.3.3.2 and then in 6.3.4.2. The result was the same.

In conclusion, the mail merge function in the current LibreOffice release is completely broken unfortunately.

Steps to Reproduce:
1. Create a data source: Tools -> Address Book Source -> Address Data Source -> follow the wizard to create a new datasource (for example, using an existing spreadsheet).
2. Open the Data Sources pane: Ctrl-Shift-F4 and drag and drop fields from the chosen datasource into the current document to prepare the document for the Mail Merge Wizard.
3. Use Tools -> Mail Merge Wizard to populate fields in the current document with records from the chosen data source.

Actual Results:
Nothing happens. The fields in the Writer document are not populated with records from the data source.

Expected Results:
The fields in the Writer documents must be populated with records from the data source.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Michael Weghorn 2020-04-06 05:38:12 UTC
Mail merge works fine for me with

Version: 7.0.0.0.alpha0+
Build ID: 9383baa32182215e071a58dbbb950531b513a47d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

(In reply to Val Kulkov from comment #0)
> 3. Use Tools -> Mail Merge Wizard to populate fields in the current document
> with records from the chosen data source.
> 
> Actual Results:
> Nothing happens. The fields in the Writer document are not populated with
> records from the data source.
> 
> Expected Results:
> The fields in the Writer documents must be populated with records from the
> data source.

Note that, in order to actually insert the values from the data source into the document, you need to take an additional step 4:

Select "Save Merged Document" or "Print Merged Document" or "Send Email Message" in the mail merge toolbar. Your described step 3 is not yet meant to actually insert the values, but just prepare the document and connection accordingly.

Does it work if you take that additional step?

Otherwise: Can you please retest with LibreOffice 6.4?
Comment 2 Val Kulkov 2020-04-07 05:00:04 UTC
Created attachment 159376 [details]
screenshot of step 4 (salutation is not selected)
Comment 3 Val Kulkov 2020-04-07 05:15:59 UTC
Up to the step 4, all looks normal. At step 4 (Create Salutation), the "Next>" button is greyed out. The "Finish" button is not greyed out -- see the attached screenshot.

When I click on the "Finish" button, the dialog closes and nothing happens. In versions before 6.3.3.2, I used to get a subsequent dialog with "Save Merged Document", "Print Merged Document" and "Send Email Message" options. The step 5 dialog does not appear anymore.

If I select "This document should contain a salutation" and then unselect "Insert personalized salutation", I successfully proceed to step 5 where I see a preview of my document with fields to be populated. On clicking "Finish", the dialog closes and nothing happens. The fields are not populated. This test was performed with an ODS spreadsheet as the address book source and LibreOffice 6.3.5.2 on Manjaro Linux.

I am going to run these tests on 6.4 in the next couple of days and I will report the results here.
Comment 4 Michael Weghorn 2020-04-07 05:27:53 UTC
Created attachment 159377 [details]
Screenshot mail merge toolbar

> When I click on the "Finish" button, the dialog closes and nothing happens. In versions before 6.3.3.2, I used to get a subsequent dialog with "Save Merged Document", "Print Merged Document" and "Send Email Message" options. The step 5 dialog does not appear anymore.

There is no separate dialog, but the actions you mention are available by clicking the corresponding elements/icons in the mail merge toolbar, s. attached screenshot where I have highlighted the relevant elements.

Does that help?
Comment 5 Val Kulkov 2020-04-07 05:32:44 UTC
Created attachment 159378 [details]
mail merge toolbar
Comment 6 Val Kulkov 2020-04-07 05:36:51 UTC
Yes, it does help. I have just successfully obtained a merged document by using the "Save Merged Documents" on the toolbar you pinpointed.

Thank you. Now I have at least one way to continue using the "Mail Merge" functionality. I should say however that this change of the mail merge workflow is far from being obvious at least to those who had been using the old workflow for quite some time.
Comment 7 Michael Weghorn 2020-04-07 06:26:08 UTC
Thanks for retesting and good to hear it works now. I'm hence closing this bug report as WORKSFORME.

> Thank you. Now I have at least one way to continue using the "Mail Merge"
> functionality. I should say however that this change of the mail merge
> workflow is far from being obvious at least to those who had been using the
> old workflow for quite some time.

That's understandable.